.escr-table {
    background-color: var(--background1);
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
}
.escr-table tbody,
.escr-table thead,
.escr-table tr {
    width: 100%;
}
/* header row */
.escr-table thead tr {
    font-size: 12px;
    height: 32px;
    border-bottom: 1px solid var(--background);
}
.escr-table--compact thead tr {
    font-size: 10px;
    height: 26px;
}
.escr-table th {
    font-weight: 600;
    text-align: left;
}
.escr-table th div {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
/* other rows */
.escr-table tbody tr {
    font-size: 14px;
    height: 64px;
    transition: background-color 0.15s ease-in-out;
    border-bottom: 1px solid var(--background);
}
.escr-table--compact tbody tr {
    height: 42px;
}
.escr-table tr td:first-of-type,
.escr-table tr th:first-of-type {
    padding: 0 0 0 16px;
}
.escr-table tr td:last-of-type {
    padding: 0 16px 0 0;
}
.escr-table tr td:only-of-type {
    padding: 0 0 0 16px;
}
.escr-table tbody tr:hover {
    background-color: var(--background2);
}
.escr-table tr td.with-img img {
    width: 50px;
    height: 50px;
    vertical-align: middle;
}
.escr-table tr td.with-img img ~ * {
    vertical-align: middle;
}
/* sorting */
.escr-table th button.escr-sort-button {
    cursor: pointer;
    border: none;
    background: transparent;
    display: flex;
    flex-flow: row nowrap;
    font-family: "Noto Sans", sans-serif;
    font-size: 12px;
    color: var(--text1);
    padding: 0;
    transition: font-weight 0.15s ease-in-out, color 0.15s ease-in-out;
    font-weight: 600;
}
.escr-table--compact th button.escr-sort-button {
    font-size: 10px;
}
.escr-table th button.escr-sort-button svg {
    margin-left: 2px;
}
.escr-table th button.escr-sort-button:disabled {
    color: var(--text3);
    pointer-events: none;
    cursor: default;
}
/* linking */
.escr-table tr {
    position: relative;
}
/*
 * safari specific hack until the following are fixed:
 * https://bugs.webkit.org/show_bug.cgi?id=253147
 * https://bugs.webkit.org/show_bug.cgi?id=258886
 */
@supports (hanging-punctuation: first) and (font: -apple-system-body) and (-webkit-appearance: none) {
    .escr-table tr td {
        position: relative;
    }
}
.escr-table tr td a.row-link {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}
.escr-table tbody tr:has(a:active),
.escr-table tbody tr:focus-within {
    background-color: var(--secondary-hover);
}
/* actions */
.escr-table td.escr-row-actions * {
    opacity: 0;
    transition: opacity 0.15s ease-in-out;
}
.escr-table tr:hover td.escr-row-actions *,
.escr-table tr td.escr-row-actions:focus-within * {
    opacity: 1;
}
.escr-table td.escr-row-actions div {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: flex-end;
    margin-right: 18px;
    position: relative;
    z-index: var(--table-actions-z);
}
/* ensure tags dropdown above table row link */
.escr-table .v-popper--theme-tags-dropdown {
    z-index: var(--table-actions-z);
}
